/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package model.ticket;

import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import model.AbstractEntity;
import javax.persistence.OneToOne;
import model.machine.Machine;

/**
 *
 * @author patri
 */
@Entity
public class LocationMachine extends AbstractEntity{
    @OneToOne
    private Machine machine;
    
    @ManyToOne
    private TicketLocation ticketLocation;

    public LocationMachine() {
    }

    public Machine getMachine() {
        return machine;
    }

    public void setMachine(Machine machine) {
        this.machine = machine;
    }

    public TicketLocation getTicketLocation() {
        return ticketLocation;
    }

    public void setTicketLocation(TicketLocation ticketLocation) {
        this.ticketLocation = ticketLocation;
    }
    
    
}
